Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1008527 (qt5-qtquickcontrols) - Review Request: qt5-qtquickcontrols - Qt5 - module with set of QtQuick controls
Summary: Review Request: qt5-qtquickcontrols - Qt5 - module with set of QtQuick controls
Keywords:
Status: CLOSED ERRATA
Alias: qt5-qtquickcontrols
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2013-09-16 14:28 UTC by Lubomir Rintel
Modified: 2013-10-18 18:51 UTC (History)
6 users (show)

Fixed In Version: qt5-qtquickcontrols-5.1.1-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-14 07:01:43 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2013-09-16 14:28:55 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/qt5-qtquickcontrols.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/qt5-qtquickcontrols-5.1.1-1.fc20.src.rpm

Description:

The Qt Quick Controls module provides a set of controls that can be used to 
build complete interfaces in Qt Quick.

Comment 1 Christopher Meng 2013-09-16 14:30:31 UTC
What's your FAS username?

Comment 2 Lubomir Rintel 2013-09-16 14:36:01 UTC
(In reply to Christopher Meng from comment #1)
> What's your FAS username?

lkundrak

Comment 3 Rex Dieter 2013-09-22 20:00:20 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5969150

$ rpmlint *.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

naming: ok

licensing: ok ... mostly. you could probably drop BSD reference since that is only used in (currently unpackaged) examples.

macros: ok

scriptlets: ok

builds/installs: ok


One small nit:

1 SHOULD drop unused %package devel stanza

But that can be easily fixed post-review.


APPROVED.

Comment 4 Rex Dieter 2013-09-22 21:05:55 UTC
Also, to match qt5-qtquick1 (and friends), you'll want to add:

ExclusiveArch: %{ix86} x86_64 %{arm}

Comment 5 Lubomir Rintel 2013-09-23 06:43:39 UTC
Thank you for the review. All SHOULD items you noticed seem legitimate to me and I'll address them upon import.

New Package SCM Request
=======================
Package Name: qt5-qtquickcontrols
Short Description: module with set of QtQuick controls
Owners: lkundrak rdieter than jreznik kkofler ltinkl rnovacek
Branches: f18 f19 f20 el6

Comment 6 Gwyn Ciesla 2013-09-23 12:45:37 UTC
Git done (by process-git-requests).

Comment 7 Lubomir Rintel 2013-09-23 18:10:06 UTC
Imported and built.
Thank you Rex, thank you Jon!

Comment 8 Fedora Update System 2013-10-03 18:36:36 UTC
qt5-qtquickcontrols-5.1.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qt5-qtquickcontrols-5.1.1-2.fc19

Comment 9 Fedora Update System 2013-10-03 18:37:18 UTC
qt5-qtquickcontrols-5.1.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qt5-qtquickcontrols-5.1.1-2.fc18

Comment 10 Fedora Update System 2013-10-03 18:37:52 UTC
qt5-qtquickcontrols-5.1.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qt5-qtquickcontrols-5.1.1-2.el6

Comment 11 Fedora Update System 2013-10-06 01:27:38 UTC
qt5-qtquickcontrols-5.1.1-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 12 Fedora Update System 2013-10-14 07:01:43 UTC
qt5-qtquickcontrols-5.1.1-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 13 Fedora Update System 2013-10-14 07:06:45 UTC
qt5-qtquickcontrols-5.1.1-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 14 Fedora Update System 2013-10-14 17:13:44 UTC
qt5-qtquickcontrols-5.1.1-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2013-10-14 17:20:49 UTC
qt5-qtquickcontrols-5.1.1-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 16 Fedora Update System 2013-10-18 18:51:35 UTC
qt5-qtquickcontrols-5.1.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.